//+-----------------------------------------------------------------------------+
//| Copyright (C) 2013 REGEO (http://www.regeo.uji.es/)
//|
//| This program is free software
//| You can redistribute it and/or modify it under the terms of the GNU General Public License,
//| as published by the Free Software Foundation.
//| 
//| This program is distributed in the hope that it will be useful,
//| but WITHOUT ANY WARRANTY; without even the implied warranty of
//| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//+----------------------------------------------------------------------------*/

#ifndef TOOLS_VECTOR_VISITED
	#define TOOLS_VECTOR_VISITED

	#include <vector>
	#include <complex>

	// VECTOR MANAGEMENT
	bool IsValueInVector(long Value, std::vector<long> V, long &Position);
	bool IsValueInVector(long Value, std::vector<long> V);

	std::vector<long> SortMinorFirst(std::vector<long> V);
	std::vector<double> SortMinorFirst(std::vector<double> V);

	std::vector<long> SortMajorFirst(std::vector<long> V);
	std::vector<double> SortMajorFirst(std::vector<double> V);
#endif  //TOOLS_VECTOR_VISITED
